image: comp1531/basic:latest

cache:
  paths:
    - node_modules
    
stages:
  - checks

testing:
  stage: checks
  script:
    - npm run test

typecheck:
  stage: checks
  script:
    - npm run tsc

linting:
  stage: checks
  script:
    - npm run lint
